View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022007FPCPackagespublic2012-05-11 02:132014-03-06 10:23
ReporterMichalis Kamburelis 
Assigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformi386OSDebian GNU/LinuxOS Version(testing)
Product VersionProduct Build 
Target Version2.6.1Fixed in Version2.7.1 
Summary0022007: fcl-passrc cannot parse C-style assignment operators like +=
Descriptionfcl-passrc cannot parse assignments like "Foo += 2;".

Adding -Sc to the parameter FPCCommandLine of ParseSource procedure, or adding {$COPERATORS ON} in the source code, doesn't result in these being allowed. Looking at fcl-passrc code, it seems that -Sc and {$COPERATORS ON} are ignored. In any case, fcl-passrc could probably just parse them automatically always, without requiring -Sc or {$COPERATORS ON}.

$ fpc c_assignment.pas
# compiles Ok
$ fpc test_parser.lpr
$ ./test_parser c_assignment.pas
An unhandled exception occurred at $0809676E:
EParserError: Identifier expected at token "=" in file c_assignment.pas at line 8 column 8
TagsNo tags attached.
FPCOldBugId
Fixed in Revision22136
Attached Files? file icon c_assignment.pas [^] (95 bytes) 2012-05-11 02:13
? file icon test_parser.lpr [^] (2,055 bytes) 2012-05-11 02:14

- Relationships

-  Notes
(0061732)
Michael Van Canneyt (administrator)
2012-08-20 00:08

Added. You need to use -Sc on the commandline, or add po_cassignments to the scanner options.

- Issue History
Date Modified Username Field Change
2012-05-11 02:13 Michalis Kamburelis New Issue
2012-05-11 02:13 Michalis Kamburelis File Added: c_assignment.pas
2012-05-11 02:14 Michalis Kamburelis File Added: test_parser.lpr
2012-07-13 20:29 Michael Van Canneyt Status new => assigned
2012-07-13 20:29 Michael Van Canneyt Assigned To => Michael Van Canneyt
2012-08-20 00:08 Michael Van Canneyt Fixed in Revision => 22136
2012-08-20 00:08 Michael Van Canneyt Status assigned => resolved
2012-08-20 00:08 Michael Van Canneyt Fixed in Version => 2.7.1
2012-08-20 00:08 Michael Van Canneyt Resolution open => fixed
2012-08-20 00:08 Michael Van Canneyt Note Added: 0061732
2012-08-20 00:08 Michael Van Canneyt Target Version => 2.6.1
2014-03-06 10:23 Michael Van Canneyt Status resolved => closed



MantisBT 1.2.12[^]
Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker